Please sync spice-gtk (0.7-2) from debian unstable (main)

Bug #828785 reported by Serge Hallyn on 2011-08-18
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
High
Serge Hallyn

Bug Description

Please sync spice-gtk from debian unstable. It requires a one-line change to the debian/python-spice-client-gtk.install (which hard-codes python-2.6). A debdiff which works is attached to this bug.

This package provides the client with which to connect to a spice-enabled qemu server.

Serge Hallyn (serge-hallyn) wrote :
Changed in ubuntu:
status: New → In Progress
tags: added: python qemu spice-gtk
Dave Walker (davewalker) on 2011-08-25
summary: - [FFE] Please sync spice-gtk from debian unstable
+ [FFE] Please sync spice-gtk (0.7-2) from debian unstable (main)
tags: added: server-o-ffe
Changed in ubuntu:
status: In Progress → New

This cannot progress until bug 828782 is satisfied.

As this is a new package, I presume this is destined to stay in universe; but still be cared about by yourself for the release support period?

It would seem to be a good idea to forward the issue back to Debian, I imagine they don't want to only work with python 2.6 either.

This does seem a little odd..
-usr/lib/python2.6/dist-packages/SpiceClientGtk.so
+usr/lib/python*/*-packages/SpiceClientGtk.so

Cosmetic, the debdiff changelog seems to have a typo?
* debian/python-spice-client-gtk.install: use python*/*-packages as we
    aren't no python2.6.

Marking incomplete, mainly until bug 828782 is satisfied.

Thanks.

Changed in ubuntu:
status: New → Incomplete
Boris Derzhavets (bderzhavets) wrote :

Please, view also :

Building Spice-Gtk-0.7 via Debian Unstable with Gobject-introspection enabled

https://launchpad.net/~bderzhavets/+archive/test-deb
https://launchpad.net/~bderzhavets/+archive/test-deb2

Boris Derzhavets (bderzhavets) wrote :

By post above i mean that debian's spice-gtk-0.7.2 has very serious build disadvantage vs original RH's
version - spice-gtk-0.7.1-1.fc16.src.rpm (07/30/11). Been an exact copy of packaging of RH's spice-gtk-0.7.1-1.fc16.src.rpm
 it is miising by some reason GObject-introspection implementation. It's was fixed on 08/19/11 and published in second PPA in previous post.

Dave Walker (davewalker) wrote :

Hi Boris, Thanks for your comments. I also came across your blog post:
http://bderzhavets.wordpress.com/2011/08/20/rebuild-spice-gtk-0-7-via-debian-unstable-with-gobject-introspection-enabled/

Have you been able to forward this to the Debian maintainer? Ideally, we'd like to resolve that issue in Debian first; so we can both benefit and avoid duplicated work and increased delta to maintain.

Thanks.

Boris Derzhavets (bderzhavets) wrote :

Hi Dave,

Yes , Ubuntu's employees will benefit if i will start to supervise debian maintainers in regards of GObject-introspection power and importance. For myself i don't see any benefits. Why should i care ? Please, explain me.

Thanks.

Serge Hallyn (serge-hallyn) wrote :

@Dave,

yes, I would look after spice and spice-gtk (though try to keep it in sync with Debian).

You're right, Debian probably does care about the python version, so I'll go ahead and open a Debian bug.

@Boris,

this bug report probably isn't the place to try and pursuade you of the advantages of contributing to the debian and ubuntu packages, or of the community natures of both. I will pursue pushing the introspection fixes as soon as time permits. Thanks very much for the informative, detailed info.

Boris Derzhavets (bderzhavets) wrote :

Dave,

I feel ashamed . I just realized, that any kind of development may happen only in Debian Unstable,
if Serge had to open bug regarding python default location.
Do you want me to send blog entry to Liang Guo <email address hidden> ?
If yes, I'll do that as soon as get confirmation from you.
I am very sorry, for my first feed.

Boris.

Serge Hallyn (serge-hallyn) wrote :

I've gone ahead and opened the following debian bug about the python version: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=639936

@Boris,

please go ahead and follow up on the introspection if you're still interested. Otherwise, or if you don't have time, please ping here and I'll pursue it by opening a debian bug. Thanks very much.

Boris Derzhavets (bderzhavets) wrote :

I am sending blog entry to Liang Guo <email address hidden> as email message.

Boris Derzhavets (bderzhavets) wrote :

Done

Re: Spice-Gtk-0.7 should be built with GObject-introspection enabled
Thursday, September 1, 2011 5:33 AM
From: "Liang Guo" <email address hidden>
Add sender to Contacts
To: "Boris Derzhavets" <email address hidden>

Thiank you for notice that,

I'll fix this bug on next upload.

On Thu, Sep 1, 2011 at 4:26 PM, Boris Derzhavets <email address hidden> wrote:

    Please, beware of

     http://bderzhavets.wordpress.com/2011/08/30/implementation-spice-on-ubuntu-11-10-kvm-server-the-most-recent-approach/

    Boris.
--
Liang Guo
http://bluestone.cublog.cn

Thanks very much, Boris.

Daviey: Note that I don't think the initial sync FFE should be held up on
this (especially not the main spice sync request).

Now http://mentors.debian.net/debian/pool/main/s/spice-gtk/spice-gtk_0.7-3.dsc looks nice.

However, python-spice-client-gtk.install is not correct again - python2.7 should be.

boris@boris-P5Q-E:~/DEBIAN/spice-gtk-0.7/debian$ cat python-spice-client-gtk.install
usr/lib/python2.6/dist-packages/SpiceClientGtk.so

Boris Derzhavets (bderzhavets) wrote :

It won't work either on Ubuntu (2.7) or on Debian ( site-packages).

Quoting Boris Derzhavets (<email address hidden>):
> It won't work either on Ubuntu (2.7) or on Debian ( site-packages).

It will with the debdiff attached to this bug. Or am I missing
something?

Yes , with yours version of debdiff it will work for sure. What i state is :-

Version 0.7-3
Information
Version: 0.7-3
Uploaded: 2011-09-01 16:41
Source package: http://mentors.debian.net/debian/pool/main/s/spice-gtk/spice-gtk_0.7-3.dsc
Section: misc
Priority: optional

should fail at build time on Debian due to /usr/lib/python2.6/site-packages is a correct location.

Version 0.7-4 should be expected with yours debdiff to make both sides happy.
I also cannot understand who is a mentor you or Debian ?

Boris Derzhavets (bderzhavets) wrote :

I was wrong dist-packages. It's Debian.

Boris Derzhavets (bderzhavets) wrote :

Disregard #16 . I work to much with Fedora. It happens.

Boris Derzhavets (bderzhavets) wrote :

UPDATE on 09/12/11 Bug - https://bugzilla.redhat.com/show_bug.cgi?id=734680 doesn't
show up when running with spice (0.8.2) enabled qemu-kvm 0.15.0 with Oneiric patching

Boris Derzhavets (bderzhavets) wrote :

I would expect Ubuntu to hit this bug at upgrade to qemu-kvm up to 0.15.1
Attempt to build spice-gtk 0.7.39 fails due to :

checking for GUDEV... yes
checking for LIBUSB... no
configure: error: Package requirements (libusb-1.0 >= 1.0.9) were not met:

Requested 'libusb-1.0 >= 1.0.9' but version of libusb-1.0 is 1.0.8

View :-
https://launchpadlibrarian.net/79962415/buildlog_ubuntu-oneiric-amd64.spice-gtk_0.7.39-2ubuntu6_FAILEDTOBUILD.txt.gz

Next issue expected is absence analog of package usbredir-dev
Upgrade (spice-protocol >= 0.9.0) doesn't look for me as a problem

Boris Derzhavets (bderzhavets) wrote :

I was able to reproduce https://bugzilla.redhat.com/show_bug.cgi?id=734680
working with Qemu-kvm-0.15.0 +noroms(spice enabled), Spice Server&Client 0.9.1, Spice-Gtk-0.7-2(via Debian) on top of Oneiric 09/22/11 daily build, but only with KVM guest Windows 7(64 bit)

boris@boris-System-Product-P5Q3:~$ spicy

(spicy:9742): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",
GSpice-Message: main channel: failed to connect
GSpice-Message: main channel: opened

(spicy:9742): GSpice-CRITICAL **: stream_mjpeg_data: assertion `j == st->mjpeg_cinfo.rec_outbuf_height' failed
Improper call to JPEG library in state 205

boris@boris-System-Product-P5Q3:~$ date
Thu Sep 22 22:30:29 MSK 2011

Consequently additional "usbredir" patching on F16 is not a core reason, even 0.15.0 generate
the bug with W7. I always tested F15 and Ubuntu 10.04 as KVM guests and never got this bug since 08/11/11. Might be upgrading spice protocol up to 0.9.1 is a reason.
But, any way debianizing of oncoming libusb 1.0.9 and usbredir F16's packages are requered to
build spice-gtk-0.7.39.

Boris Derzhavets (bderzhavets) wrote :

Snapshot of spicy sending error message to stdout

Boris Derzhavets (bderzhavets) wrote :

Sorry for typo. Should be :-

Might be upgrading spice server and client up to 0.9.1 is a reason.
0.9.0 is spice protocol version.

Boris Derzhavets (bderzhavets) wrote :

Yes, upgrading spice to 0.9.1 seems to be a root cause of bug.
I've crashed spicy's sessions opening properties windows in device manager W7's
and starting searching for driver in computer's neighborhood
After downgrading spice to 0.8.2 this trick doesn't crash spicy's sessions anymore.
All my other efforts to crash spicy sessions fail as well.

Dave Walker (davewalker) on 2011-09-23
Changed in ubuntu:
milestone: ubuntu-11.10-beta-2 → ubuntu-11.10
Dave Walker (davewalker) wrote :

Is this bug still something we should consider for oneiric?

Thanks.

Serge Hallyn (serge-hallyn) wrote :

I fear it's too late, but I sure hope we don't wait 4 months into P to revisit it.

Dave Walker (davewalker) on 2011-09-29
summary: - [FFE] Please sync spice-gtk (0.7-2) from debian unstable (main)
+ Please sync spice-gtk (0.7-2) from debian unstable (main)
tags: removed: server-o-ffe
Leo Iannacone (l3on) wrote :

Hello everybody,

Do you think this is bug can be closed?

Precise got spice-gtk (0.7-3) from unstable some weeks ago.

Serge Hallyn (serge-hallyn) wrote :

good point, thanks.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.